# build the bom
(cd Drools74Ex061_kbase_bom && mvn -q clean install)

for v in 7.18.0.Final-redhat-00004 7.23.0.Final-redhat-00003 7.27.0.Final; do
	for generateModel in NO YES; do
		echo Running test with rules version ${v} and -DgenerateModel=${generateModel}
		# build the sub project
		rm -rf ~/.m2/repository/org/kie/kbase-sub/
		(cd Drools74Ex061_kbase_sub && mvn -q clean install -DDROOLS_VERSION=${v} -DskipTests=true -DgenerateModel=${generateModel})
		# build the parent project
		rm -rf ~/.m2/repository/org/kie/kbase-parent/
		(cd Drools74Ex061_kbase_parent && mvn -q clean install -DDROOLS_VERSION=${v} -DskipTests=true -DgenerateModel=${generateModel})
		echo ""
	done
done
rm -rf Drools74Ex061_kbase_sub/target
rm -rf Drools74Ex061_kbase_parent/target
